Bug 254454 - graphics/freeglut: update to 3.2.1
Summary: graphics/freeglut: update to 3.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords: buildisok, patch
Depends on:
Blocks:
 
Reported: 2021-03-21 09:16 UTC by Zsolt Udvari
Modified: 2021-06-29 01:14 UTC (History)
3 users (show)

See Also:
kbowling: maintainer-feedback+


Attachments
patch (25.85 KB, patch)
2021-03-21 09:16 UTC, Zsolt Udvari
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2021-03-21 09:16:31 UTC
Created attachment 223467 [details]
patch

Update to 3.2.1.
I couldn't find relevant changelog.
Comment 1 Automation User 2021-04-05 00:20:52 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/281316185
Comment 2 Niclas Zeising freebsd_committer 2021-05-05 15:41:52 UTC
How have you handled the joystick parts?  Are they tested?
Comment 3 Zsolt Udvari 2021-05-06 05:25:49 UTC
Not tested. I haven't it.
Comment 4 Warner Losh freebsd_committer 2021-06-28 18:01:22 UTC
Commit with a note that says we're not sure the joystick code is working and to get in touch with us. The risk is fairly small otherwise.
Comment 5 Warner Losh freebsd_committer 2021-06-28 18:03:25 UTC
might also be good to compile the ports that use freeglut or a subset before updating.
Comment 6 commit-hook freebsd_committer 2021-06-29 01:14:28 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3103c302f541276ffc05e4aee6ec3d867e4c0e08

commit 3103c302f541276ffc05e4aee6ec3d867e4c0e08
Author:     Zsolt Udvari <uzsolt@uzsolt.hu>
AuthorDate: 2021-06-28 23:53:19 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-06-29 01:13:03 +0000

    graphics/freeglut: update to 3.2.1

    The x11 team is unaware of issues relating to joystick support with this
    update or the previous version.  Please file a PR with x11@ if you
    experience a problem or if we can remove the pkg-message.

    PR:             254454
    Approved by:    x11

 graphics/freeglut/Makefile                         |   3 +-
 graphics/freeglut/distinfo                         |   5 +-
 .../freeglut/files/patch-src_fg__joystick.c (gone) | 304 ------------------
 .../files/patch-src_x11_fg__joystick__x11.c        | 357 ++++++++++++++++-----
 graphics/freeglut/pkg-plist                        |  13 +-
 5 files changed, 291 insertions(+), 391 deletions(-)
Comment 7 Kevin Bowling freebsd_committer 2021-06-29 01:14:42 UTC
Thanks for your contribution!